package com.yeejoin.equipmanage.event;

import org.springframework.context.ApplicationEvent;

import java.util.Map;

/**
 * @Author: songLei
 * @Description: 同步风险区域事件
 * @Date: 2020/12/29 17:21
 * @Version: 1.0
 */
public class SyncRiskEvent extends ApplicationEvent {
    private Map<String, Object> map;
    private String operation;
    public SyncRiskEvent(Object source, Map<String, Object> map,String operation) {
        super(source);
        this.map = map;
        this.operation = operation;
    }
    public Map<String, Object> map(){
        return this.map;
    }
    public String operation(){
        return this.operation;
    }
}
